Google Web Toolkit
Search Google Code:

# Interface SourcesKeyboardEvents

public interface SourcesKeyboardEvents
// Extended by `HasFocus`
// Implemented by `CustomButton`, `SuggestBox`, `TextBoxBase`
A widget that implements this interface sources the events defined by the KeyboardListener interface.

## Methods

addKeyboardListener(KeyboardListener) | Adds a listener interface to receive keyboard events.
removeKeyboardListener(KeyboardListener) | Removes a previously added listener interface.

## Method Detail

### addKeyboardListener

public void addKeyboardListener(KeyboardListener listener)
Adds a listener interface to receive keyboard events.

#### Parameters

listener
  the listener interface to add

### removeKeyboardListener

public void removeKeyboardListener(KeyboardListener listener)
Removes a previously added listener interface.

#### Parameters

listener
  the listener interface to remove